# Uses of Class
org.eclipse.jface.text.templates.TemplateContextType

Packages that use TemplateContextType
Package
Description
org.eclipse.jface.text.templates
Application programming interfaces for interaction with the Eclipse text template support.
org.eclipse.ui.editors.text.templates
Application programming interfaces for interaction with the Eclipse text editor template support.

## Uses of TemplateContextType in org.eclipse.jface.text.templates

Methods in org.eclipse.jface.text.templates that return TemplateContextType
Modifier and Type
Method
Description
`TemplateContextType`
ContextTypeRegistry.`getContextType(String id)`
Deprecated.
`protected abstract TemplateContextType`
TemplateCompletionProcessor.`getContextType(ITextViewer viewer, IRegion region)`
Returns the context type that can handle template insertion at the given region in the viewer's document.
`TemplateContextType`
TemplateContext.`getContextType()`
Returns the context type of this context.
Methods in org.eclipse.jface.text.templates that return types with arguments of type TemplateContextType
Modifier and Type
Method
Description
`Iterator<TemplateContextType>`
ContextTypeRegistry.`contextTypes()`
Deprecated.
Methods in org.eclipse.jface.text.templates with parameters of type TemplateContextType
Modifier and Type
Method
Description
`void`
ContextTypeRegistry.`addContextType(TemplateContextType contextType)`
Deprecated.
Constructors in org.eclipse.jface.text.templates with parameters of type TemplateContextType
Modifier
Constructor
Description
``
`DocumentTemplateContext(TemplateContextType type, IDocument document, int offset, int length)`
Creates a document template context.
``
`DocumentTemplateContext(TemplateContextType type, IDocument document, Position position)`
Creates a document template context.
`protected`
`TemplateContext(TemplateContextType contextType)`
Creates a template context of a particular context type.

## Uses of TemplateContextType in org.eclipse.ui.editors.text.templates

Methods in org.eclipse.ui.editors.text.templates that return TemplateContextType
Modifier and Type
Method
Description
`static TemplateContextType`
ContributionContextTypeRegistry.`createContextType(String id)`
Tries to create a context type given an id.